Asset (Beta)

Delete individual asset metaproperty

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Delete a metaproperties options or value from an asset.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/metaproperties/{metapropertyId}

Path Parameters

assetIdstringrequired
metapropertyIdstringrequired

Response

application/json

AssetTaxonomy

assetIdstring
idstring
metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters
metadataarray[object]
Show Child Parameters
portalIdstring
taxonomyStatusstring
timeStampModifiedstring(date-time)
versionIdstring
delete/api/1/asset/assets/{assetId}/metaproperties/{metapropertyId}
 
application/json

Update individual asset metaproperty

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Update the metaproperty values of a specific metaproperty on an asset. The full list of options or value for the given metaproperty is overwritten. This endpoint can also be used if no values for the given metaproperty are set on the asset yet.

Note: doing the update request with an empty list of values will delete the metaproperty and its values from the asset.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/metaproperties/{metapropertyId}

Path Parameters

assetIdstringrequired
metapropertyIdstringrequired

Body

application/json

UpdateAssetMetapropertyInput

metaPropertyOptionGroupobject
Show Child Parameters
metaPropertyValueobject
Show Child Parameters

Response

application/json

AssetTaxonomy

assetIdstring
idstring
metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters
metadataarray[object]
Show Child Parameters
portalIdstring
taxonomyStatusstring
timeStampModifiedstring(date-time)
versionIdstring
put/api/1/asset/assets/{assetId}/metaproperties/{metapropertyId}

Body

{}
 
application/json

Get asset relations

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Retrieves all relations defined on an asset, the response will include all relations per relationId.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/relations

Path Parameters

assetIdstringrequired

Response

application/json

GetAssetRelationsReply

assetIdstring
portalIdstring
relationsarray[object]
Show Child Parameters
get/api/1/asset/assets/{assetId}/relations
 
application/json

Add asset relations

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Add one or more assets to the set of assets the given asset is related to. The result is a bidirectional relation between the given asset and the assets given as input Note: the recommended maximum amount of Ids to relate is 100 maximum.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

post
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/relations/{relationId}

Path Parameters

assetIdstringrequired
relationIdstringrequired

Body

application/json

AddAssetRelationInput

relatedAssetIdsarray[string]

Response

application/json

UpdateAssetRelationReply

assetIdstring
portalIdstring
relatedAssetIdsarray[string]
relationIdstring
post/api/1/asset/assets/{assetId}/relations/{relationId}

Body

{}
 
application/json

Remove asset relations

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Remove one or more assets from the set of assets the given asset is related to. This removes the bidirectional relation between the given asset and the assets given as input.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/relations/{relationId}

Path Parameters

assetIdstringrequired
relationIdstringrequired

Body

application/json

RemoveAssetRelationInput

relatedAssetIdsarray[string]

Response

application/json

UpdateAssetRelationReply

assetIdstring
portalIdstring
relatedAssetIdsarray[string]
relationIdstring
delete/api/1/asset/assets/{assetId}/relations/{relationId}

Body

{}
 
application/json